/* OscThread -- thread for making an oscillator go go go
 *
 * 		Brad Garton, spring 2003
 *
*/
import com.softsynth.jsyn.*;

class OscThread extends Thread
{
	SineOscillator	theOsc;
	LineOut		oscOut;

	public OscThread() throws SynthException
	{
		theOsc = new SineOscillator();
		oscOut = new LineOut();

		theOsc.output.connect(0, oscOut.input, 0);
		theOsc.output.connect(0, oscOut.input, 1);

		theOsc.amplitude.set(0.5);
		theOsc.frequency.set(252.0);
	}

	// the run() method gets invoked by the start() method on the calling
	// OscThread.  In this case we just start up the units we set above.
	public void run()
	{
		try
		{
			theOsc.start();
			oscOut.start();
		} catch(SynthException e) {
			SynthAlert.showError(e);
		}
	}
}
